Subject: Re: [sipcore] Barry Leiba's Discuss on draft-ietf-sipcore-sip-token-authnz-13: (with DISCUSS and COMMENT) - Barry's COMMENT

From: Christer Holmberg <[email-masked]>
Date: Tue, 21 Apr 2020 10:01:41 +0000

Hi Barry,

Thank You for the review!

In this reply I will address your COMMENT. The DISCUSS will be addressed in a separate reply.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------
    
>    — Section 1.1 —
>    Please copy the BCP 14 boilerplate exactly from RFC 8174.
  
Will do.

---
  
>    — Section 1.3 —
>    
>       Refresh Tokens usualy are represented in a reference format
>    
>    Typo: “usually”.
  
Will fix.

---

>    — Section 3 —
>    
>       The methods used and the access
>       provided by the token is based on local policy
>    
>    “are based”, to match the plural subject.
  
Will fix.

---

>       Examples of such other
>       mechanisms are introspection [RFC7662], user profile lookups, etc.
>    
>    “Examples” and “etc.” are mutually redundant.  I would remive the latter and
>    replace the comma before “user profile lookups” with “and”.
  
I suggest:

"Examples of such other mechanisms are introspection [RFC7662] and user profile lookups."
  
---

>    — Section 6 —
>    This can’t be empty.  It should say that there are no IANA actions needed for
>    this document.
  
We discussed this with IANA, and the idea is to remove the whole section (they said it is up to us to either remove it, or to keep it and add text saying there are no IANA requests).

---

Below is a link to a GitHub pull request with the changes based on the COMMENT issues:

https://github.com/rifaat-ietf/draft-ietf-sipcore-sip-token-authnz/pull/6

Regards,

Christer

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 21 Apr 2020 06:42:05 -0700

On Tue, Apr 21, 2020 at 3:02 AM Christer Holmberg <christer.holmberg=
[email-masked]> wrote:

> We discussed this with IANA, and the idea is to remove the whole section
> (they said it is up to us to either remove it, or to keep it and add text
> saying there are no IANA requests).
>

This is pretty common, but going along with that is a section that just
contains:

"This document has no actions for IANA."

...sometimes accompanied by:

"[RFC Editor: Please delete this section before publication.]"

(Dunno how I missed this, frankly.  Must've been going too fast.)

-MSK

---

From: Barry Leiba <[email-masked]>
Date: Tue, 21 Apr 2020 09:52:26 -0400

All good here, and thanks for the quick response.
On the IANA section, yes, as Murray notes, we do usually put in a
single "nothing to see here" sentence, even if the RFC Editor will
remove the section later.  But it's not a big deal, as it'll be
removed anyway.

Barry

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 21 Apr 2020 10:45:55 -0400

Thanks Barry,

Just to make sure we are all on the same page, does the "All good here"
include the answer to the DISCUSS?

Regards,
 Rifaat

On Tue, Apr 21, 2020 at 9:52 AM Barry Leiba <[email-masked]> wrote:

> > >       mechanisms are introspection [RFC7662], user profile lookups, etc

---

From: Barry Leiba <[email-masked]>
Date: Tue, 21 Apr 2020 13:36:15 -0400

> Just to make sure we are all on the same page, does the "All good here" include the answer to the DISCUSS?

No; that's in a separate message, so I'll reply to that separately.
Getting to that now.

b